*** orig/gcc-260/gcc.c	Tue Jul 19 00:32:10 1994
--- src/gcc-260/gcc.c	Tue Jul 19 00:41:48 1994
***************
*** 1873,1882 ****
  #ifndef OS2
  #ifdef __MSDOS__
  
! /* Declare these to avoid compilation error.  They won't be called.  */
! int execv(const char *a, const char **b){}
! int execvp(const char *a, const char **b){}
! 
  static int
  pexecute (search_flag, program, argv, not_last)
       int search_flag;
--- 1873,1879 ----
  #ifndef OS2
  #ifdef __MSDOS__
  
! #include <process.h>
  static int
  pexecute (search_flag, program, argv, not_last)
       int search_flag;
***************
*** 1884,1889 ****
--- 1881,1889 ----
       char *argv[];
       int not_last;
  {
+ #ifdef __GO32__
+   int i = (search_flag ? spawnv : spawnvp) (1, program, argv);
+ #else
    char *scmd, *rf;
    FILE *argfile;
    int i, el = search_flag ? 0 : 4;
***************
*** 1912,1924 ****
    i = system (scmd);
  
    remove (rf);
    
    if (i == -1)
      {
        perror_exec (program);
        return MIN_FATAL_STATUS << 8;
      }
- 
    return i << 8;
  }
  
--- 1912,1924 ----
    i = system (scmd);
  
    remove (rf);
+ #endif
    
    if (i == -1)
      {
        perror_exec (program);
        return MIN_FATAL_STATUS << 8;
      }
    return i << 8;
  }
  
